Bug 95672 - [NEW PORT] converters/py24-pyasn1: ASN.1 toolkit for Python
Summary: [NEW PORT] converters/py24-pyasn1: ASN.1 toolkit for Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-13 02:30 UTC by mhjacks
Modified: 2006-04-17 12:30 UTC (History)
0 users

See Also:


Attachments
py24-pyasn1-0.0.4a.shar (6.45 KB, text/plain)
2006-04-13 02:30 UTC, mhjacks
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mhjacks 2006-04-13 02:30:17 UTC
[ from the project homepage ]

ASN.1 types and codecs (BER, CER, DER) implementation in Python programming 
language.

Author: Ilya Etingof (ilya@glas.net)
WWW: http://sourceforge.net/projects/pyasn1/

Generated with FreeBSD Port Tools 0.63
Comment 1 Renato Botelho freebsd_committer 2006-04-13 04:05:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-04-13 16:53:39 UTC
Hello,

I made some changes in this port, change category to 'devel', change name
from py-pyasn1 to py-asn1 to follow the default python port names in Ports
Tree. Here is the new port. Let me know if you approve this.

--------------------------------------------------
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	./py-asn1
#	./py-asn1/pkg-plist
#	./py-asn1/pkg-descr
#	./py-asn1/distinfo
#	./py-asn1/Makefile
#
echo c - ./py-asn1
mkdir -p ./py-asn1 > /dev/null 2>&1
echo x - ./py-asn1/pkg-plist
sed 's/^X//' >./py-asn1/pkg-plist << 'END-of-./py-asn1/pkg-plist'
X%%PYTHON_SITELIBDIR%%/pyasn1/__init__.py
X%%PYTHON_SITELIBDIR%%/pyasn1/__init__.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/__init__.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/__init__.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/__init__.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/__init__.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/error.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/error.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/error.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/base.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/base.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/base.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/tag.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/tag.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/tag.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/univ.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/univ.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/univ.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/__init__.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/__init__.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/__init__.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/namedtype.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/namedtype.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/namedtype.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/namedval.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/namedval.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/namedval.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/error.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/error.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/error.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/constraint.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/constraint.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/constraint.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/char.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/char.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/char.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/useful.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/useful.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/type/useful.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/__init__.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/__init__.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/__init__.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/decoder.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/decoder.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/decoder.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/encoder.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/encoder.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/encoder.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/__init__.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/__init__.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/__init__.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/eoo.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/eoo.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber/eoo.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/__init__.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/__init__.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/__init__.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/encoder.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/encoder.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/encoder.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/decoder.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/decoder.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer/decoder.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/__init__.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/__init__.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/__init__.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/decoder.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/decoder.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/decoder.pyo
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/encoder.py
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/encoder.pyc
X%%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der/encoder.pyo
X%%EXAMPLESDIR%%/snmp.py
X%%EXAMPLESDIR%%/x509.py
X%%PORTDOCS%%%%DOCSDIR%%/CHANGES
X%%PORTDOCS%%%%DOCSDIR%%/LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/TODO
X%%PORTDOCS%%%%DOCSDIR%%/README
X%%PORTDOCS%%%%DOCSDIR%%/notes.html
X@dirrm %%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/der
X@dirrm %%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/cer
X@dirrm %%PYTHON_SITELIBDIR%%/pyasn1/v1/codec/ber
X@dirrm %%PYTHON_SITELIBDIR%%/pyasn1/v1/codec
X@dirrm %%PYTHON_SITELIBDIR%%/pyasn1/v1/type
X@dirrm %%PYTHON_SITELIBDIR%%/pyasn1/v1
X@dirrm %%PYTHON_SITELIBDIR%%/pyasn1
X@dirrm %%EXAMPLESDIR%%
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X@dirrmtry %%PYTHON_SITELIBDIR%%
X@dirrmtry %%PYTHON_LIBDIR%%
END-of-./py-asn1/pkg-plist
echo x - ./py-asn1/pkg-descr
sed 's/^X//' >./py-asn1/pkg-descr << 'END-of-./py-asn1/pkg-descr'
XASN.1 types and codecs (BER, CER, DER) implementation in Python programming 
Xlanguage.
X
XAuthor:	Ilya Etingof (ilya@glas.net)
XWWW:	http://sourceforge.net/projects/pyasn1/
END-of-./py-asn1/pkg-descr
echo x - ./py-asn1/distinfo
sed 's/^X//' >./py-asn1/distinfo << 'END-of-./py-asn1/distinfo'
XMD5 (pyasn1-0.0.4a.tar.gz) = 85a1c06c34b301efbf08bb8c52e43f15
XSHA256 (pyasn1-0.0.4a.tar.gz) = c8f3046374e72d71b9e6e323394fe5387b97e839c01b78f5633e2334a67c5727
XSIZE (pyasn1-0.0.4a.tar.gz) = 31445
END-of-./py-asn1/distinfo
echo x - ./py-asn1/Makefile
sed 's/^X//' >./py-asn1/Makefile << 'END-of-./py-asn1/Makefile'
X# New ports collection makefile for:	py-pyasn1
X# Date created:				Sat Apr  8 21:37:32 CDT 2006
X# Whom:					Martin Jackson <mhjacks@swbell.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	asn1
XPORTVERSION=	0.0.4a
XCATEGORIES=	devel python
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	py${PORTNAME}
XPKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
XDISTNAME=	py${PORTNAME}-${PORTVERSION}
X
XMAINTAINER=	mhjacks@swbell.net
XCOMMENT=	ASN.1 toolkit for Python
X
XUSE_PYTHON=		yes
XUSE_PYDISTUTILS=	yes
X
XDOCSDIR=	${PREFIX}/share/doc/py-${PORTNAME}
XEXAMPLESDIR=	${PREFIX}/share/examples/py-${PORTNAME}
X
XBASEDOCS=	CHANGES \
X		README \
X		LICENSE \
X		TODO
X
XDOCDOCS=	notes.html
X
XEXAMPLE_FILES=	snmp.py \
X		x509.py
X
Xpost-install:
X# docs
X.ifndef(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X. for f in ${BASEDOCS}
X	@${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X. endfor
X. for f in ${DOCDOCS}
X	@${INSTALL_DATA} ${WRKSRC}/doc/${f} ${DOCSDIR}
X. endfor
X.endif
X# examples
X	@${MKDIR} ${EXAMPLESDIR}
X.for f in ${EXAMPLE_FILES}
X	@${INSTALL_DATA} ${WRKSRC}/examples/${f} ${EXAMPLESDIR}
X.endfor
X
X.include <bsd.port.mk>
END-of-./py-asn1/Makefile
exit

--------------------------------------------------
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Thinking you know something is a sure way to blind yourself.
		-- Frank Herbert, "Chapterhouse: Dune"
Comment 3 Renato Botelho freebsd_committer 2006-04-13 16:54:11 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 4 mhjacks 2006-04-14 00:39:23 UTC
Renato Botelho wrote:
> Hello,
> 
> I made some changes in this port, change category to 'devel', change name
> from py-pyasn1 to py-asn1 to follow the default python port names in Ports
> Tree. Here is the new port. Let me know if you approve this.

I have no objections to the changes.  I suggested converters because 
most of the other ASN.1 stuff is in there, but devel is certainly 
appropriate.  These are my first FreeBSD ports from scratch, so I am 
definitely willing to listen to constructive criticism. :)

Thanks for taking care of these.

Marty
Comment 5 Renato Botelho freebsd_committer 2006-04-17 12:30:11 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!